import * as winston from "winston";
import { Logger } from "winston";
export declare function getFileNameAndLineNumber(numberOfLinesToFetch?: number): {
    file: any;
    lineno: any;
    timestamp: string;
};
export declare function proxyLogger(logger: Logger, baseDirName: string): winston.Logger;
export declare function handleTopLevelContextualError(info: any): any;
export declare function handleNestedContextualError(info: any): any;
export declare function maybeInsertInlineContext(message: string, source: any, ...fields: string[]): string;
export declare function maybeInsertContext(context: any, source: any, ...fields: string[]): any;
export declare function isError(data: any): data is Error;
export declare function maybeRenderError(data: any): any;
